# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::Statement;
{
use RDF::Resource;

@RDF::Statement::ISA = qw( RDF::Resource );

sub new {
    bless $_[0]->SUPER::new(), $_[0];
};

sub subject {
};

sub predicate {
};

sub object {
};

1;
};

__END__

=head1 NAME

RDF::Statement - definiton of the Statement RDF API

=head1 SYNOPSIS

  use RDF::Statement;
  use RDF::Literal;
  use RDF::Resource;
  my $statement = new RDF::Statement(
  				new RDF::Resource("http://pen.jrc.it/idex.html"),
  				new RDF::Resource("author","http://purl.org/schema/1.0#"),
  				new RDF::Literal("Alberto Reggiori")
				);


=head1 DESCRIPTION

This is just the interface definition. If you are more interested to an example implementation see RDF::Store::Statement(3)

=head1 SEE ALSO

RDF::Store::Statement(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
