# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF;
{
use RDF::Store::Model;
use Carp;

# 
# This package provides convenient access to schema information.
# DO NOT MODIFY THIS FILE.
# It was generated automatically by RDF::Vocabulary::Generator
#

# Namespace URI of this schema

$_Namespace= "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
use RDF::Store::NodeFactory;
&setNodeFactory(new RDF::Store::NodeFactory());

sub createResource {
	croak "Factory ".$_[0]." is not an instance of RDF::NodeFactory"
		unless( (defined $_[0]) &&
                	($_[0]->isa("RDF::NodeFactory")) );

	return $_[0]->createResource($_Namespace.$_[1]);
};
sub setNodeFactory {
	croak "Factory ".$_[0]." is not an instance of RDF::NodeFactory"
		unless( (defined $_[0]) &&
                	($_[0]->isa("RDF::NodeFactory")) );
	# A triple consisting of a predicate, a subject, and an object
	$Statement = createResource($_[0], "Statement");
	# A collection of alternatives
	$Alt = createResource($_[0], "Alt");
	# Identifies the object of a statement when representing the statement in reified form
	$object = createResource($_[0], "object");
	# Identifies the resource that a statement is describing when representing the statement
	$subject = createResource($_[0], "subject");
	# Identifies the principal value (usually a string) of a property when the property value is a structured resource
	$value = createResource($_[0], "value");
	# Identifies the property used in a statement when representing the statement in reified form
	$predicate = createResource($_[0], "predicate");
	# A name of a property, defining specific meaning for the property
	$Property = createResource($_[0], "Property");
	# An ordered collection
	$Seq = createResource($_[0], "Seq");
	# Identifies the Class of a resource
	$type = createResource($_[0], "type");
	# An unordered collection
	$Bag = createResource($_[0], "Bag");
};
1;
};

__END__

=head1 NAME

=head1 SYNOPSIS

  use RDF::Model
  my $model = new RDF::Model();

=head1 DESCRIPTION

=head1 SEE ALSO

=head1 AUTHOR

Alberto Reggiori <alberto.reggiori@jrc.it>
